Ubuntu 14.04 下安装 MongoDB 服务器 和 PHP MongoDB Driver 数据驱动

说明

MongoDB 是非常有名的 NOSQL 数据库.

下面是 Ubuntu 14.04 下 MongoDB 的安装, 同时还有针对 PHP 的配置 (driver 安装等), 此方法适用于 Homestead.

安装 MongoDB

1. 添加源

sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 7F0CEB10
echo 'deb http://downloads-distro.mongodb.org/repo/ubuntu-upstart dist 10gen' | sudo tee /etc/apt/sources.list.d/mongodb.list
sudo apt-get update

2. 开始安装

可以自定义安装的 Package 请见 这里.

sudo apt-get install -qq mongodb-org

安装完成检查是否开启:

$ ps -ef | grep mongo
mongodb  15683     1  1 03:00 ?        00:00:37 /usr/bin/mongod --config /etc/mongod.conf

检查版本:

$ mongo --version
MongoDB shell version: 2.6.6
$ mongo
> db.test.save( { test: 100 } )
> db.test.find()
{ "_id" : ObjectId("549253f4d91767276c02fc14"), "test" : 100 }

路径信息和默认参数说明:

  • Sources: /usr/bin/
  • Logs: /var/log/mongodb/mongod.log
  • Data: /var/lib/mongodb/
  • Default ip: 127.0.0.1
  • Default port MongoDB is listening: 27017

以上信息都可以通过编辑 /etc/mongod.conf 进行修改.

开启/关闭

$ sudo service mongod start
$ sudo service mongod stop
$ sudo service mongod restart

安装 PHP Mongodb Driver

1. 安装 Driver

echo "no" > answers.txt
sudo pecl install mongo < answers.txt
rm answers.txt

2. 开启 PHP 扩展

echo 'extension=mongo.so' | sudo tee /etc/php5/mods-available/mongo.ini
sudo ln -s /etc/php5/mods-available/mongo.ini /etc/php5/fpm/conf.d/mongo.ini
sudo ln -s /etc/php5/mods-available/mongo.ini /etc/php5/cli/conf.d/mongo.ini

重启服务器

sudo service php5-fpm restart

验证是否安装成功

$ php -i | grep 'Mongo'
MongoDB Support => enabled

:sparkles: :sparkles: :sparkles:

摈弃世俗浮躁,追求技术精湛
本帖已被设为精华帖!
Summer
《L05 电商实战》
从零开发一个电商项目,功能包括电商后台、商品 & SKU 管理、购物车、订单管理、支付宝支付、微信支付、订单退款流程、优惠券等
《G01 Go 实战入门》
从零开始带你一步步开发一个 Go 博客项目,让你在最短的时间内学会使用 Go 进行编码。项目结构很大程度上参考了 Laravel。
讨论数量: 7
Summer

@lifesign 项目上用到, 不过, 还真有这个打算, 这都让你猜到了 :smile_cat:

6年前 评论
Summer

@Aufree 多谢多谢, 你个九零后.

6年前 评论

mongodb 我一般都直接下官方的二进制包,https://www.mongodb.com/download-center
mongodb 我司一般只用来存日志、统计数据、用户行为等,这些数据:量大、读写频繁、无事务要求、允许少量丢失。

4年前 评论

WARNING: "pecl/mongo" is deprecated in favor of "channel:///mongodb"
WARNING: channel "pecl.php.net" has updated its protocols, use "pecl channel-update pecl.php.net" to update
pecl/mongo requires PHP (version >= 5.3.0, version <= 5.99.99), installed version is 7.2.5-1+ubuntu18.04.1+deb.sury.org+1
No valid packages found
install failed
没有找到有效的软件包 :cry:

2年前 评论

讨论应以学习和精进为目的。请勿发布不友善或者负能量的内容,与人为善,比聪明更重要!